[B037] Investment

post
https://connect.patsnap.com/synapse/organization/investment
Try in Sandbox

Obtain Investment about investors, funded organization, funding type, transaction amount, announce time etc.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
offset
integer<int64>-
Offset, default 0
limit
integer<int64>10
Limit, default 10. offset + limit <= 10000, limit up to 1,000.
organization_id
string11ef8a9e8bf5ca80213a1183511cded3
Organization ID

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
items
arrayPlease check the form:FundingRoundDto
Result Items
investors
array[ { "display_name": [ { "lang": "EN", "name": "Sichuan Baili Pharmaceuticals Co.,Ltd" }, { "lang": "CN", "name": "四川百利药业有限责任公司" } ], "organization_id": "685e5cad5351555103932a4c484281c2" } ]
Investors
display_name
array[ { "lang": "EN", "name": "Roche Holding AG" }, { "lang": "CN", "name": "罗氏" } ]
Organization Name, Referencing "CommonName"
lang
stringEN
Language
name
stringRanibizumab (Genentech)
Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name
organization_id
string87bfaf037f8e60c9e25595cd98bb27e4
Organization ID
funding_type
object{ "code": "RZ34", "classification": "IPO上市后", "classification_en": "Post IPO" }
Investment Type(Series)
classification
stringIPO上市后
Investment Type Name
classification_en
stringPost IPO
Investment Type(EN)Name
announced_time
integer<int64>1684195200000
Annouced Date
funded_organization
object{ "organization": { "display_name": [ { "lang": "EN", "name": "Hrain Biotechnology Co., Ltd." }, { "lang": "CN", "name": "上海恒润达生生物科技股份有限公司" } ], "organization_id": "b4c624212749f84e83429c5a8673c692" } }
Funded Organization
transaction_amount_lower
object¥215.85B
Amount
value_cny
number<double>178139675
Amount Original Value(CNY)
value_usd
number<double>25000000
Amount Original Value(USD)
original_value
number<double>25000000
Amount Original Value
original_currency
stringUSD
Amount Original Currency Code
transaction_amount_upper
object¥215.85B
Amount
original_transaction_amount
string25,000,000 USD
Amount Original Value
limit
integer<int64>10
limit
total
integer<int64>10
total
offset
integer<int64>-
offset
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "items": [
      {
        "investors": [
          {
            "display_name": [
              {
                "lang": "EN",
                "name": "Ranibizumab (Genentech)"
              }
            ],
            "organization_id": "87bfaf037f8e60c9e25595cd98bb27e4"
          }
        ],
        "funding_type": {
          "classification": "IPO上市后",
          "classification_en": "Post IPO"
        },
        "announced_time": 1684195200000,
        "funded_organization": {
          "display_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ],
          "organization_id": "87bfaf037f8e60c9e25595cd98bb27e4"
        },
        "transaction_amount_lower": {
          "value_cny": 178139675,
          "value_usd": 25000000,
          "original_value": 25000000,
          "original_currency": "USD"
        },
        "transaction_amount_upper": {
          "value_cny": 178139675,
          "value_usd": 25000000,
          "original_value": 25000000,
          "original_currency": "USD"
        },
        "original_transaction_amount": "25,000,000 USD"
      }
    ],
    "limit": 10,
    "total": 10,
    "offset": 0
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms